@import "reset.css";
@import "fonts.css";

* {
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
html, body {
  height: 100vh;
  width: 100%;
}
body {
  height: 100vh;
  background: #000;
  font-family: 'Neue Machina','Roboto', sans-serif;
  color: white;
  overflow: hidden;
  width: 100%;
}
h1 {
  font-size: 40px;
  letter-spacing: .03;
  font-weight: bold;
}
.wrapper {
  width: 100%;
  padding: 0 10%;
  align-items: center;
  display: flex;
}
.wrapper2 {
  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: space-between;
  height: 100vh;
  padding: 2% 0;
  position: relative;
  width: 90%;
}
.logo {
  width: 100px;
  align-self: flex-start;
  position: absolute;
  z-index: 1;
  padding-top: 50px;
}
.item {
  cursor: url('rays.svg'), pointer;
}
.items {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  margin-left: 10%;
  width: 60%;
  height: 80%;
  align-items: center;
  justify-content: center;
}
.item:hover {
  transform: scale(1.1) rotate(6deg);
  transition: 0.6s ease-in;
}
.top_items_wrapper {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: center;
}
.bottom_items_wrapper {
  display: flex;
  flex-wrap: nowrap;
}
.description_wrapper {
  justify-content: center;
  display: flex;
  flex-direction: column;
  height: 80%;
}
.info,
.description,
.info_adaptive_mobile {
  padding-bottom: 50px;
  font-size: 16px;
  letter-spacing: .03;
  width: 300px;
  line-height: 140%;
}
.description {
  padding-bottom: 70px;
}
.adress,
.mail,
.phone {
  display: block;
}
.can {
  position: relative;
  display: flex;
  justify-content: center;
}
.can_top {
  position: absolute;
  transition: transform 3s ease;
}
.collar {
  padding-left: 10%;
}
.item.collar {
  position: relative;
}
.new_ball {
   animation: rotate 5s infinite linear;
}

@keyframes rotate {
  to {
    transform: rotate(360deg);
  }
}

.can,
.main_ball,
.can-top,
.bottle {
  align-self: center;
}
.mail,
.phone {
  line-height: 140%;
}
.bottle {
  padding-left: 6%;
}
.wrapper_liquid {
  text-align: center;
  position: absolute;
  z-index: -1;
}
.liquid {
  opacity: 0;
  width: 120%;
  padding-left: 26%;
  height: auto;
  transition: all 2s ease-in;
}
.liquid_img {
  animation: 70s ease 1s infinite swim;
}

@keyframes swim {
  10% {
    transform: scale(1.3) translate(4%, 4%);
  }
  30% {
    transform: scale(1) rotate(10deg);
  }
  50% {
    transform: scale(1.5) translateX(4%);
  }
  70% {
    transform: scale(1.3);
  }
}

div.item.bottle {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}


/* ---------------------------BONES--------------------------*/

.bones {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  display: none;
  z-index: -1;
}
.bones img {
  width: 12vw;
  position: absolute;
  display: block;
  animation: flyBones linear infinite;
  bottom: -650px;
  animation-duration: 3s;
}
.bones img:first-child {
  left: 25%;
  width: 20vw;
  animation-duration: 4s;
}
.bones img:nth-child(2) {
  left: 10%;
  width: 19vw;
  animation-duration: 5s;
}
.bones img:nth-child(3) {
  left: 70%;
  width: 14vw;
  animation-delay: 2s;
  animation-duration: 4s;
}
.bones img:nth-child(4) {
  left: 40%;
  width: 13vw;
  animation-delay: 1s;
}
.bones img:nth-child(7n) {
  left: 46%;
}
.bones img:nth-child(7) {
  left: 26%;
  animation-duration: 2s;
}
.bones img:nth-child(14) {
  left: 32%;
}
.bones img:nth-child(9n) {
  left: 65%;
  width: 19vw;
  animation-delay: 550ms;
}
.bones img:nth-child(6) {
  left: 75%;
  width: 16vw;
  animation-delay: 2s;
}
.bones img:nth-child(16) {
  left: 40%;
  width: 16vw;
  animation-delay: 3s;
}
.bones img:nth-child(8n) {
  left: 50%;
  width: 20vw;
  animation-delay: 1s;
  animation-duration: 4s;
}
.bones img:nth-child(17) {
  left: 52%;
  width: 10vw;
  animation-delay: 4s;
  animation-duration: 3s;
}
.bones img:nth-child(9n) {
  width: 14vw;
  animation-delay: 350ms;
  animation-duration: 4s;
}
.bones img:nth-child(10n) {
  left: 85%;
  width: 21vw;
  animation-delay: 850ms;
}
.bones img:nth-child(10) {
  left: 35%;
  animation-delay: 350ms;
}
.bones img:nth-child(9) {
  left: 15%;
  animation-delay: 650ms;
}
.bones img:nth-child(11n) {
  width: 13vw;
  left: 21%;
  animation-delay: 3s;
}
.bones img:nth-child(11) {
  width: 16vw;
  left: 17%;
  animation-duration: 1s;
}
.bones img:nth-child(12) {
  width: 12vw;
  left: 29%;
  animation-delay: 700ms;
}
.bones img:nth-child(19) {
  width: 19vw;
  left: 15%;
  animation-delay: 800ms;
}
.bones img:nth-child(18) {
  width: 17vw;
  left: 10%;
  animation-delay: 2.5s;
}
.bones img:nth-child(20) {
  width: 12vw;
  left: 11%;
  animation-delay: 500ms;
}
.bones img:nth-child(21) {
  width: 16vw;
  left: 40%;
  animation-delay: 350ms;
}
.bones img:nth-child(22) {
  width: 10vw;
  left: 30%;
  animation-delay: 700ms;
}
.bones img:nth-child(23) {
  width: 20vw;
  left: 36%;
  animation-delay: 950ms;
}
.bones img:nth-child(24) {
  width: 11;
  left: 19%;
  animation-delay: 3s;
}
.bones img:nth-child(25) {
  width: 13vw;
  left: 50%;
  animation-delay: 700ms;
}
.bones img:nth-child(27) {
  width: 20vw;
  left: 10%;
  animation-delay: 900ms;
}
.bones img:nth-child(28) {
  width: 21vw;
  left: 20%;
  animation-delay: 950ms;
}
.bones img:nth-child(26) {
  width: 19vw;
  left: 29%;
  animation-delay: 1s;
}

@keyframes flyBones {
  0% {
    transform: translateY(0) rotate(0deg);
  }
  100% {
    transform: translateY(-4000px) rotate(720deg);
  }
}

.info_adaptive_mobile {
  display: none;
}
.swiper-container {
  width: 100vw;
  height: 400px;
  display: none;
}

@media (min-width: 4000px) and (max-width: 5200px){
  h1 {
    font-size: 2.5vw;
  }
  .description {
    font-size: 2.5em;
    width: auto;
    padding-bottom: 20%;
  }
  .description_wrapper {
    justify-content: center;
  }
  .info {
    font-size: 2.5em;
    width: auto;
    padding-top: 28%;
  }
  .can {
    padding-left: 0;
  }
  img.can,
  img.can_top,
  img#collar_img,
  img.bottle {
    width: 22vw;
  }
  img.ball {
    width: 17vw;
  }
  img.bottle {
    width: 21vw;
  }
  .logo {
    width: 260px;
    padding-top: 20vh;
  }
  .bottle {
    padding-left: 2%;
  }
}
@media (min-width: 3001px) and (max-width: 3999px){
  h1 {
    font-size: 2.4vw;
  }
  .description {
    font-size: 2em;
    width: auto;
    padding-bottom: 24%;
  }
  .description_wrapper {
    justify-content: center;
  }
  .info {
    font-size: 2em;
    width: auto;
    padding-top: 28%;
  }
  img.can,
  img.can_top,
  img#collar_img,
  img.bottle {
    width: 22vw;
  }
  img.ball {
    width: 17vw;
  }
  .logo {
    width: 200px;
    padding-top: 14vh;
  }
  img.bottle {
    width: 21vw;
  }
  .bottle {
    padding-left: 2%;
  }
}

@media (min-width: 2101px) and (max-width: 3000px) {
  h1 {
    font-size: 2.3vw;
  }
  .description {
    font-size: 1.4em;
    width: auto;
    padding-bottom: 20%;
  }
  .info {
    font-size: 1.4em;
    width: auto;
    padding-top: 28%;
  }
  .description_wrapper {
    justify-content: center;
  }
  .logo {
    width: 180px;
    padding-top: 14vh;
  }
  img.can,
  img.can_top,
  img#collar_img,
  img.bottle {
    width: 20vw;
  }
  img.ball {
    width: 15vw;
  }
  img.bottle {
    width: 19vw;
  }
  .bottle {
    padding-left: 2%;
  }
}

@media (min-width: 1701px) and (max-width: 2100px) {
  h1 {
    font-size: 46px;
    padding-bottom: 12%;
  }
  .description {
    font-size: 1.2em;
    width: auto;
    padding-bottom: 20%;
  }
  .info {
    font-size: 1.2em;
    width: auto;
    padding-top: 28%;
  }
  .description_wrapper {
    justify-content: center;
  }
  .can {
    padding-left: 0;
  }
  .logo {
    width: 140px;
    padding-top: 12vh;
  }
  img.can,
  img.can_top,
  img#collar_img,
  img.bottle {
    width: 20vw;
  }
  img.ball {
    width: 15vw;
  }
  img.bottle {
    width: 19vw;
  }
  .bottle {
    padding-left: 2%;
  }
  .liquid {
    width: 74%;
    padding-left: 16%;
  }
}

@media (min-width: 1366px) and (max-width: 1700px) {
  .description_wrapper {
    justify-content: center;
  }
  img.can,
  img.can_top,
  img#collar_img,
  img.bottle {
    width: 20vw;
  }
  img.ball {
    width: 15vw;
  }
  img.bottle {
    width: 19vw;
  }
  .bottle {
    padding-left: 2%;
  }
  .info {
    padding-top: 28%;
  }
  h1 {
    font-size: 39px;
    padding-bottom: 10%;
  }
  .logo {
    width: 100px;
    padding-top: 14vh;
  }
  .info {
    padding-bottom: 30px;
  }
  .liquid {
    width: 74%;
    padding-left: 16%;
  }
}

@media (min-width: 1025px) and (max-width: 1365px) {
  h1 {
    font-size: 32px;
    padding-bottom: 10%;
    padding-top: 4%;
  }
  .description {
    font-size: 14px;
    padding-bottom: 12%;
  }
  .logo {
    width: 100px;
    padding-top: 12vh;
  }
  .info {
    padding-top: 28%;
    font-size: 14px;
  }
  img.can,
  img.can_top,
  img#collar_img,
  img.bottle {
    width: 20vw;
  }
  img.ball {
    width: 15vw;
  }
  img.bottle {
    width: 19vw;
  }
  .bottle {
    padding-left: 2%;
  }
  .liquid {
    width: 74%;
    padding-left: 16%;
  }
  .info {
    padding-bottom: 30px;
  }
}

@media (min-width: 868px) and (max-width: 1024px) {
  .items {
    margin-left: 0;
    width: 90%;
  }
  .top_items_wrapper {
    width: 86%;
    justify-content: space-between;
    padding-bottom: 12%;
  }
  .bottom_items_wrapper {
    width: 86%;
    justify-content: space-between;
  }
  .description_wrapper {
    padding-top: 22%;
    justify-content: flex-end;
    display: flex;
    flex-direction: row-reverse;
    height: 30%;
    width: 100%;
    padding-left: 3%;
  }
  .item {
    transform: scale(1.4);
  }
  .item:hover {
    transform: scale(1.5);
  }
  .wrapper {
    padding: 0 8%;
  }
  .wrapper2 {
    flex-direction: column;
    width: 100%;
    padding: 0;
  }
  h1 {
    font-size: 54px;
    align-self: flex-start;
    padding-top: 4%;
  }
  .collar img {
    padding-left: 10%;
  }
  .description {
    padding-bottom: 0;
    width: auto;
    display: none;
  }
  .info {
    width: auto;
    font-size: 16px;
  }
  .description_info {
    align-content: flex-start;
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
    padding-left: 5%;
  }
  .can {
    padding-left: 0;
  }
  .logo {
    width: 160px;
    padding-top: 8vh;
    padding-left: 3%;
  }
  .top_items_wrapper {
    padding-bottom: 14%;
  }
  .liquid {
    width: 74%;
    padding-left: 18%;
  }
  .liquid_img {
    width: 650px;
  }
}

@media (min-width: 580px) and (max-width: 867px) {
  .items {
    margin-left: 0;
    width: 108%;
  }
  .top_items_wrapper {
    width: 86%;
    justify-content: space-between;
    padding-bottom: 12%;
  }
  .bottom_items_wrapper {
    width: 86%;
    justify-content: space-between;
  }
  .description_wrapper {
    padding-top: 20%;
    justify-content: flex-end;
    display: flex;
    flex-direction: row-reverse;
    height: 30%;
    width: 100%;
  }
  .item {
    transform: scale(1.2);
  }
  .item:hover {
    transform: scale(1.3);
  }
  .wrapper {
    padding: 0 8%;
  }
  .wrapper2 {
    flex-direction: column;
    width: 100%;
    padding: 0;
  }
  h1 {
    font-size: 48px;
    align-self: flex-start;
  }
  .collar img {
    padding-left: 10%;
  }
  .description {
    padding-bottom: 0;
    width: auto;
    display: none;
  }
  .info {
    width: auto;
    font-size: 16px;
  }
  .description_info {
    align-content: flex-start;
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
    padding-left: 5%;
  }
  .can {
    padding-left: 0;
  }
  .logo {
    width: 120px;
    padding-top: 6vh;
  }
  .liquid {
    width: 80%;
  }
}

@media (min-width: 475px) and (max-width: 579px) {
  .description_wrapper {
    padding-top: 24%;
    padding-left: 6vw;
    justify-content: flex-end;
    display: flex;
    flex-direction: column-reverse;
    height: 30%;
    width: 100%;
  }
  .wrapper {
    padding: 0;
  }
  .wrapper2 {
    padding: 0;
    width: 100%;
    flex-direction: column;
  }
  .description {
    display: none;
  }
  .logo {
    width: 120px;
    padding-left: 6vw;
  }
  .swiper-container {
    display: block;
  }
  .items {
    display: none;
  }
  .item {
    transform: scale(1.3);
    padding-top: 6vh;
  }
  .swiper-slide:first-child{
    padding-left: 22vw;
  }
  .swiper-slide:last-child{
    padding-right: 14vw;
  }
  .item:hover {
    transform: scale(1.4);
  }
  h1 {
    align-self: flex-start;
    font-size: 36px;
  }
  .info {
    display: none;
  }
  .info_adaptive_mobile {
    display: flex;
    flex-direction: column;
    align-self: flex-start;
    padding-bottom: 5vh;
    padding-left: 6vw;
  }
  .collar {
    padding-left: 18%;
  }
}

@media (min-width: 300px) and (max-width: 473px) {
  .description_wrapper {
    padding-top: 24%;
    padding-left: 6vw;
    justify-content: flex-end;
    display: flex;
    flex-direction: column-reverse;
    height: 30%;
    width: 100%;
  }
  .wrapper {
    padding: 0;
  }
  .wrapper2 {
    padding: 0;
    width: 100%;
    flex-direction: column;
    overflow: hidden;
  }
  .description {
    display: none;
  }
  .logo {
    width: 120px;
    padding-left: 6vw;
    padding-top: 40px;
  }
  .swiper-container {
    display: block;
  }
  .items {
    display: none;
  }
  .item {
    transform: scale(1.2);
    padding-top: 6vh;
  }
  .swiper-slide:first-child{
    padding-left: 22vw;
  }
  .swiper-slide:last-child{
    padding-right: 14vw;
  }
  .item:hover {
    transform: scale(1.3);
  }
  h1 {
    align-self: flex-start;
    font-size: 32px;
  }
  .info {
    display: none;
  }
  .info_adaptive_mobile {
    display: flex;
    flex-direction: column;
    align-self: flex-start;
    padding-bottom: 5vh;
    padding-left: 6vw;
  }
  .liquid {
    width: 88%;
    padding-left: 24%;
  }
  .collar {
    padding-left: 12%;
  }
  .liquid_img {
    width: 600px;
    padding-bottom: 10%;
  }
}
